<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: COL Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classCOL.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classCOL-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">COL Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Color Conversion Command.  
 <a href="classCOL.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Task_8h_source.html">Task.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for COL:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classCOL.png" usemap="#COL_map" alt=""/>
  <map id="COL_map" name="COL_map">
<area href="classTask.html" title="Generic class to encapsulate various commands. " alt="Task" shape="rect" coords="0,0,38,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3a2c677ac1cacafd8b361f9c143f23a4"><td class="memItemLeft" align="right" valign="top"><a id="a3a2c677ac1cacafd8b361f9c143f23a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCOL.html#a3a2c677ac1cacafd8b361f9c143f23a4">run</a> (<a class="el" href="structSession.html">Session</a> *<a class="el" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a>, const std::string &amp;<a class="el" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a>)</td></tr>
<tr class="memdesc:a3a2c677ac1cacafd8b361f9c143f23a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main public function. <br /></td></tr>
<tr class="separator:a3a2c677ac1cacafd8b361f9c143f23a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classTask"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classTask')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classTask.html">Task</a></td></tr>
<tr class="memitem:a7bff79cc05fa4511c72048d33591503b inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top"><a id="a7bff79cc05fa4511c72048d33591503b"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a7bff79cc05fa4511c72048d33591503b">~Task</a> ()</td></tr>
<tr class="memdesc:a7bff79cc05fa4511c72048d33591503b inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a7bff79cc05fa4511c72048d33591503b inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fbc6885cae467baa99ce64a2848816b inherit pub_methods_classTask"><td class="memItemLeft" align="right" valign="top"><a id="a8fbc6885cae467baa99ce64a2848816b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a8fbc6885cae467baa99ce64a2848816b">checkImage</a> ()</td></tr>
<tr class="memdesc:a8fbc6885cae467baa99ce64a2848816b inherit pub_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check image. <br /></td></tr>
<tr class="separator:a8fbc6885cae467baa99ce64a2848816b inherit pub_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classTask"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classTask')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classTask.html">Task</a></td></tr>
<tr class="memitem:a35ad816e34baa8fd763a04ef0342bf83 inherit pub_static_methods_classTask"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classTask.html">Task</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a35ad816e34baa8fd763a04ef0342bf83">factory</a> (const std::string &amp;type)</td></tr>
<tr class="memdesc:a35ad816e34baa8fd763a04ef0342bf83 inherit pub_static_methods_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Factory function.  <a href="classTask.html#a35ad816e34baa8fd763a04ef0342bf83">More...</a><br /></td></tr>
<tr class="separator:a35ad816e34baa8fd763a04ef0342bf83 inherit pub_static_methods_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classTask"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classTask')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classTask.html">Task</a></td></tr>
<tr class="memitem:a874abbe6afac5cc75ae44c58d52f9c93 inherit pro_attribs_classTask"><td class="memItemLeft" align="right" valign="top"><a id="a874abbe6afac5cc75ae44c58d52f9c93"></a>
<a class="el" href="classTimer.html">Timer</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a874abbe6afac5cc75ae44c58d52f9c93">command_timer</a></td></tr>
<tr class="memdesc:a874abbe6afac5cc75ae44c58d52f9c93 inherit pro_attribs_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classTimer.html" title="Simple Timer class to allow us to time our responses. ">Timer</a> for each task. <br /></td></tr>
<tr class="separator:a874abbe6afac5cc75ae44c58d52f9c93 inherit pro_attribs_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83aea98eda228feb10e5f426036fd8d5 inherit pro_attribs_classTask"><td class="memItemLeft" align="right" valign="top"><a id="a83aea98eda228feb10e5f426036fd8d5"></a>
<a class="el" href="structSession.html">Session</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a83aea98eda228feb10e5f426036fd8d5">session</a></td></tr>
<tr class="memdesc:a83aea98eda228feb10e5f426036fd8d5 inherit pro_attribs_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to our session data. <br /></td></tr>
<tr class="separator:a83aea98eda228feb10e5f426036fd8d5 inherit pro_attribs_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52a9889cc25361764faa0947b5efb4b3 inherit pro_attribs_classTask"><td class="memItemLeft" align="right" valign="top"><a id="a52a9889cc25361764faa0947b5efb4b3"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTask.html#a52a9889cc25361764faa0947b5efb4b3">argument</a></td></tr>
<tr class="memdesc:a52a9889cc25361764faa0947b5efb4b3 inherit pro_attribs_classTask"><td class="mdescLeft">&#160;</td><td class="mdescRight">Argument supplied to the task. <br /></td></tr>
<tr class="separator:a52a9889cc25361764faa0947b5efb4b3 inherit pro_attribs_classTask"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Color Conversion Command. </p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Task_8h_source.html">Task.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classCOL.html">COL</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
